Issue1075

classification
Title: os.rmdir deletes file
Type: behaviour Severity: normal
Components: Core Versions: 2.5alpha1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zyasoft Nosy List: jnair, mboersma, zyasoft
Priority: Keywords:

Created on 2008-07-17.03:24:58 by jnair, last changed 2008-10-11.03:38:32 by zyasoft.

Files
File name Uploaded Description Edit Remove
1075.patch mboersma, 2008-09-13.19:32:22 Patch to jython/Lib/os.py for svn trunk [5327]
Messages
msg3528 (view) Author: Matt Boersma (mboersma) Date: 2008-09-13.19:32:22
Fixed by catching "no file" and "not a dir" cases and emitting a more
specific error.
msg3654 (view) Author: Jim Baker (zyasoft) Date: 2008-10-11.03:38:32
Fixed in r5370 with the attached patch.
History
Date User Action Args
2008-10-11 03:38:32zyasoftsetstatus: open -> closed
resolution: fixed
messages: + msg3654
2008-09-13 23:26:07zyasoftsetassignee: zyasoft
nosy: + zyasoft
2008-09-13 19:32:22mboersmasetfiles: + 1075.patch
type: behaviour
messages: + msg3528
components: + Core
nosy: + mboersma
2008-07-17 03:24:58jnaircreate